import './index.sass'
import { render } from 'solid-js/web'
import { Router } from '@solidjs/router'
import { routes } from './routes'
import App from './app.tsx'

const root = document.getElementById('root') as HTMLElement

if (import.meta.env.DEV && !(root instanceof HTMLElement)) {
  throw new Error('Root element not found. Did you forget to add it to your index.html? Or maybe the id attribute got misspelled?')
}
 // @ts-ignore
render(() => <Router root={(props) => <App>{props.children}</App>}>{routes}</Router>, root)
